LOCRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class LOCRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.LOCRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class LOCRecord
      extends Record

  Location - describes the physical location of hosts, networks, subnets.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LOCRecord(Name name, int dclass, long ttl, double latitude, double longitude, double altitude, double size, double hPrecision, double vPrecision)` Creates an LOC Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAltitude()` Returns the altitude
    `double` | `getHPrecision()` Returns the horizontal precision
    `double` | `getLatitude()` Returns the latitude
    `double` | `getLongitude()` Returns the longitude
    `double` | `getSize()` Returns the diameter of the enclosing sphere
    `double` | `getVPrecision()` Returns the horizontal precision

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LOCRecord

          public LOCRecord(Name name,
                   int dclass,
                   long ttl,
                   double latitude,
                   double longitude,
                   double altitude,
                   double size,
                   double hPrecision,
                   double vPrecision)

      Creates an LOC Record from the given data
      Parameters:
        `latitude` - The latitude of the center of the sphere
        `longitude` - The longitude of the center of the sphere
        `altitude` - The altitude of the center of the sphere, in m
        `size` - The diameter of a sphere enclosing the described entity, in m.
        `hPrecision` - The horizontal precision of the data, in m.
        `vPrecision` - The vertical precision of the data, in m.

  - ### Method Detail

    - #### getLatitude

          public double getLatitude()

      Returns the latitude

    - #### getLongitude

          public double getLongitude()

      Returns the longitude

    - #### getAltitude

          public double getAltitude()

      Returns the altitude

    - #### getSize

          public double getSize()

      Returns the diameter of the enclosing sphere

    - #### getHPrecision

          public double getHPrecision()

      Returns the horizontal precision

    - #### getVPrecision

          public double getVPrecision()

      Returns the horizontal precision